--- title: "Create cluster (return ID)" slug: "analytics-clouddatastreamingservice-cluster-createcluster-id" tags: ["Cloud Data Streaming Service"] updated: 2026-09-17T09:51:28Z published: 2026-09-17T09:51:28Z canonical: "api.ncloud-docs.com/analytics-clouddatastreamingservice-cluster-createcluster-id" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create cluster (return ID) Available in VPC Create a Cloud Data Streaming Service cluster. The cluster instance number is returned in the response. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/cluster/createCDSSClusterReturnServiceGroupInstanceNo (Korea Region) | | POST | /api/sgn-v1/cluster/createCDSSClusterReturnServiceGroupInstanceNo (Singapore Region) | | POST | /api/jpn-v1/cluster/createCDSSClusterReturnServiceGroupInstanceNo (Japan Region) | ### Request headers For information about the headers common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service request headers](/docs/en/analytics-clouddatastreamingservice#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `clusterName` | String | Required | Cluster name - Enter 3 to 15 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Special character "-" can't be used consecutively. | | `kafkaVersionCode` | Integer | Required | Kafka version code - See [Get version](/docs/en/analytics-clouddatastreamingservice-cluster-getkafkaversionlist). | | `configGroupNo` | Integer | Required | Config group number - See [Get config group list](/docs/en/analytics-cdss-configgroup-getkafkaversionconfiggrouplist). - If there is no config group created with the applicable version, [Create config group](/docs/en/analytics-cdss-configgroup-createconfiggroup). | | `kafkaManagerUserName` | String | Required | Manager tool access account ID - Enter 3 to 15 characters using a combination of lowercase English letters, numbers, and the special character "-". - The string must start with a lowercase English letter and end with a lowercase English letter or a number. - Special character "-" can't be used consecutively. | | `kafkaManagerUserPassword` | String | Required | Manager tool access account password - Enter 8 to 20 characters using a combination of English letters, numbers, and special characters. - Unusable special characters: ', ", `, ₩, /, &, space | | `softwareProductCode` | String | Required | Operating system type code - See [Get operating system type](/docs/en/analytics-clouddatastreamingservice-cluster-getosproductlist). | | `vpcNo` | Integer | Required | VPC number - See [Get VPC list](/docs/en/analytics-clouddatastreamingservice-cluster-getvpclist). | | `managerNodeSubnetNo` | Integer | Required | Manager node subnet number - See [Get subnet list](/docs/en/analytics-clouddatastreamingservice-cluster-getsubnetlist). | | `managerNodeProductCode` | String | Required | Manager node server type code - See [Get server type](/docs/en/analytics-clouddatastreamingservice-cluster-getnodeproductlist). | | `brokerNodeSubnetNo` | Integer | Required | Broker node subnet number - See [Get subnet list](/docs/en/analytics-clouddatastreamingservice-cluster-getsubnetlist). | | `brokerNodeCount` | Integer | Required | Number of broker nodes - 3-10 (default: 3) | | `brokerNodeProductCode` | String | Required | Broker node server type code - See [Get server type](/docs/en/analytics-clouddatastreamingservice-cluster-getnodeproductlist). | | `brokerNodeStorageSize` | Integer | Required | Broker node storage capacity (GB) - 100-2000 (10 GB increment) - Only SSD is supported as storage type. | ### Request example The request example is as follows: ``` curl --location --request POST 'https://clouddatastreamingservice.apigw.ntruss.com/api/v1/cluster/createCDSSClusterReturnServiceGroupInstanceNo' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "clusterName": "cluster002", "kafkaVersionCode": "3903006", "configGroupNo": 3**, "kafkaManagerUserName": "ncpadmin", "kafkaManagerUserPassword": "**********", "softwareProductCode": "SW.VCDSS.OS.LNX64.CNTOS.0708.B050", "vpcNo": 4***, "managerNodeSubnetNo": 30***, "managerNodeProductCode": "SVR.VCDSS.HICPU.C002.M004.NET.SSD.B050.G002", "brokerNodeSubnetNo": 33***, "brokerNodeCount": 3, "brokerNodeProductCode": "SVR.VCDSS.HICPU.C002.M004.NET.SSD.B050.G002", "brokerNodeStorageSize": 100 }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response code | | `message` | String | - | Response message | | `result` | Object | - | Response result | | `result.serviceGroupInstanceNo` | Integer | - | Cluster instance number | | `requestId` | String | - | ID for the request - UUID format | ### Response status codes For information about the HTTP status codes common to all Cloud Data Streaming Service APIs, see [Cloud Data Streaming Service response status codes](/docs/en/analytics-clouddatastreamingservice#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "SUCCESS", "result": { "serviceGroupInstanceNo": 1009***** }, "requestId": "b1c51f69-****-****-****-9371949cc985" } ```